Bug 1510985 (CVE-2017-1000231) - CVE-2017-1000231 ldns: Memory corruption in ldns_rr_new_frm_fp_l
Summary: CVE-2017-1000231 ldns: Memory corruption in ldns_rr_new_frm_fp_l
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-1000231
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1511046
Blocks: 1510999
TreeView+ depends on / blocked
 
Reported: 2017-11-08 13:47 UTC by Adam Mariš
Modified: 2019-09-29 14:25 UTC (History)
5 users (show)

Fixed In Version: ldns 1.7.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-14 10:44:12 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-11-08 13:47:20 UTC
A memory corruption via double free was found in ldns_rr_new_frm_fp_l() function.

Upstream bug:

https://www.nlnetlabs.nl/bugs-script/show_bug.cgi?id=1256

Upstream patch:

https://git.nlnetlabs.nl/ldns/commit/?id=c8391790

Comment 1 Adam Mariš 2017-11-08 15:33:12 UTC
Created ldns tracking bugs for this issue:

Affects: fedora-all [bug 1511046]

Comment 5 Stefan Cornelius 2017-11-14 10:44:22 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.